TechDraw NewAnnotation

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page TechDraw NewAnnotation and the translation is 5% complete.

Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Previous: TechDraw Tree Page Sync.svg Redraw
Next: LeaderLine Techdraw-mline.svg Arrow-right.svg

TechDraw NewAnnotation.png TechDraw NewAnnotation

Menu location
TechDraw → Annotation
Workbenches
TechDraw
Default shortcut
Introduced in version
-
See also

Description

Instrumentul Adnotări adaugă un text block la pagina de desen.

AnnotationSample.png

The Annotation tool adds a text block to a drawing page.

AnnotationSample.png

Annotation in the drawing page


Cum se utilizează

  1. Dacă aveți mai multe pagini de desen în document, va trebui să selectați pagina dorită din arborescență.
  2. Apăsați butonul TechDraw NewAnnotation.png Annotation
  3. Un Text block conținând "Default Text" va apărea în pagină. Utilizați editorul de proprietăți pentru a schimba textul. Glisați adnotarea în poziția dorită.
  4. Este posibil să fie nevoie să apăsați repetat View-rotate-right.png pentru a vă schimba textul.
  1. If you have multiple drawing pages in your document, you will need to select the desired page in the tree.
  2. Press the TechDraw NewAnnotation.png Annotation button
  3. A text block containing "Default Text" will appear on the page. Use the property editor to change the text. Drag the Annotation to the required position.
  4. You may need to press recompute View-rotate-right.png to get your text to change.

UpdateAnnotation.png

UpdateAnnotation.png


Note: some characters interfere with the internal representation of the Annotation text. Specifically, these are the double quote ", less than <, and greater than > symbols; these must be replaced by HTML escape characters, &quot;, &lt;, and &gt; respectively. See Character encodings in HTML for details.

Properties

ADD_PROPERTY_TYPE(Text ,("Default Text"),vgroup,App::Prop_None,"The text to be displayed");
ADD_PROPERTY_TYPE(Font ,(fontName.c_str()),vgroup,App::Prop_None, "The name of the font to use");
ADD_PROPERTY_TYPE(TextColor,(0.0f,0.0f,0.0f),vgroup,App::Prop_None,"The color of the text"); 
ADD_PROPERTY_TYPE(TextSize,(8),vgroup,App::Prop_None,"The size of the text in mm");
ADD_PROPERTY_TYPE(MaxWidth,(-1.0),vgroup,App::Prop_None,"The maximum width of the Annotation block");
ADD_PROPERTY_TYPE(LineSpace,(80),vgroup,App::Prop_None,"Line spacing adjustment");
TextStyle.setEnums(TextStyleEnums);
ADD_PROPERTY(TextStyle, ((long)0));

Notă: Adnotările moștenesc toate proprietățile de bază aplicabile View cu excepția Scale. Utilizează în loc proprietatea TextSize .

  • DATAText: Textul de afișat.
  • DATAFont: Numele fontului de utilizat. Adnotarea va utiliza cea mai bună potrivire a fonturilor instalate.
  • DATATextColor: Culoarea textului.
  • DATATextSize: Mrimea textului exprimată în mm.
  • DATAMaxWidth: Lățimea maximă a Annotation block. -1 indică lățimea maximă.
  • DATALineSpace: Ajustarea distanței dintre linii text (%).
  • DATATextStylee: "Normal", "Bold", "Italic", "Bold-Italic"

Script

Adnotările pot fi adăugate la Pages utilizând Python.

See also: TechDraw API and FreeCAD Scripting Basics.

The New Annotation tool can be used in macros and from the Python console by using the following functions:

anno = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewAnnotation','TestAnno')
anno.Text = ['Different Text']
anno.TextStyle = 'Bold'
rc = page.addView(anno)

Notes

Arrow-left.svg Previous: TechDraw Tree Page Sync.svg Redraw
Next: LeaderLine Techdraw-mline.svg Arrow-right.svg